Skip to main content

Merchant-Initiated Sale for Debt Recovery with a Token


Use this information to process a merchant-initiated sale for debt recovery with a token.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "transactionId": "26987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "commerceIndicator": "moto",        "industryDataType": "transit",        "reconciliationId": "fgssgsgsgsfg",        "capture": "true",        "authorizationOptions": {            "debtRecoveryIndicator": "true",            "ignoreAvsResult": "true",            "ignoreCvResult": "true",            "initiator": {                "type": "merchant",                "storedCredentialUsed": "true",                "merchantInitiatedTransaction": {                    "reason": "1",                    "previousTransactionId": "123456789012345"                }            }        }    },    "paymentInformation": {        "card": {            "expirationMonth": "12",            "expirationYear": "2031",            "cardType": "001"        },        "instrumentIdentifier": {            "id": "CD616772D8355EA6E053AF598E0AE794"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "THB"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/6482305297396608504004/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6482305297396608504004"        }    },    "clientReferenceInformation": {        "code": "TC50171_3",        "transactionId": "26987654321"    },    "id": "6482305297396608504004",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "authorizedAmount": "10.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "A",            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "instrumentIdentifier": {            "id": "CD616772D8355EA6E053AF598E0AE794",            "state": "ACTIVE"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "5004564953419F26087C14E9BE1F1065094F07A0000000031010820220009F360203709F0702C0809F2701409F100706010A03902000950500000000009F3704DB6AD1679A032111145F3401019F1A0203809F33036008C89F34031F03029F3501259F02060000000000009F03060000000000005F2A0209789C01005F2D046974656E9F0607A00000000310108407A00000000310109F21031726589F6E04207000009F40052000000001DFFEC30A020100"        }    },    "processorInformation": {        "systemTraceAuditNumber": "190723",        "approvalCode": "831000",        "networktransactionId": "016153570198200",        "transactionId": "016153570198200",        "responseCode": "00",        "avs": {            "code": "1"        }    },    "reconciliationId": "fgssgsgsgsfg",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-03-25T17:48:50Z"}
{    "clientReferenceInformation": {        "code": "CUP Purchase Transit",        "transactionId": "12845678",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "commerceIndicator": "internet",        "industryDataType": "transit",        "reconciliationId": "897YHGTHJUY",        "linkId": "7007351831836009903681",        "capture": "true",        "authorizationOptions": {            "debtRecoveryIndicator": "true",            "deferredAuthIndicator": "true",            "ignoreAvsResult": "true",            "ignoreCvResult": "true"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "12",            "expirationYear": "2033",            "cardType": "062"        },        "instrumentIdentifier": {            "id": "0ABF155EB33E8FC2E0633F36CF0A0220"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "THB"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7012397101156081303137/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7012397101156081303137"        }    },    "clientReferenceInformation": {        "code": "CUP Purchase Transit",        "transactionId": "12845678"    },    "id": "7012397101156081303137",    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "authorizedAmount": "100.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "062"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "062"        },        "instrumentIdentifier": {            "id": "0ABF155EB33E8FC2E0633F36CF0A0220",            "state": "ACTIVE"        },        "card": {            "type": "062"        }    },    "processorInformation": {        "approvalCode": "005290",        "settlementDate": "0501",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "8897YHGTHJUY",    "status": "AUTHORIZED",    "submitTimeUtc": "2023-11-29T06:35:11Z"}

Required Fields

Visa Platform Connect Required Fields
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.cardType
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.instrumentIdentifier.id
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResult
processingInformation.authorizationOptions.ignoreCvResult
processingInformation.authorizationOptions.initiator.merchantInitiatedTransaction.previousTransactionId
processingInformation.authorizationOptions.initiator.merchantInitiatedTransaction.reason
processingInformation.authorizationOptions.initiator.storedCredentialUsed
processingInformation.authorizationOptions.initiator.type
processingInformation.captureSet this field to true.
processingInformation.commerceIndicatorSet this field to moto.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.reconciliationId
China UnionPay Required Fields
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.partner.thirdPartyCertificationNumber
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.cardType
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.instrumentIdentifier.id
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResult
processingInformation.authorizationOptions.ignoreCvResult
processingInformation.captureSet this field to true.
processingInformation.commerceIndicatorSet this field to internet.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.linkId
processingInformation.reconciliationId

Last published: September 29, 2026